package lupenko.airport.domain;

import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Entity
@Data
@NoArgsConstructor
@RequiredArgsConstructor
@AllArgsConstructor
public class Airport {
    @Id
    @GeneratedValue
    private Long id;
    @NonNull
    @NotNull
    @Column(unique = true)
    private String code;
    @NonNull
    @NotNull
    private String countryCode;
    @NonNull
    @NotNull
    private BigDecimal ddLongitude;
    @NonNull
    @NotNull
    private BigDecimal ddLatitude;

}
