package lupenko.airport.domain;

import lombok.*;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.time.Instant;

@Entity
@Data
@NoArgsConstructor
@RequiredArgsConstructor
@AllArgsConstructor
public class Booking {
    @Id
    @GeneratedValue
    private Long id;
    @ManyToOne(cascade = CascadeType.PERSIST)
    @NotNull
    @NonNull
    private Flight flight;
    @ManyToOne(cascade = CascadeType.PERSIST)
    @NotNull
    @NonNull
    private Passenger passenger;
    private Instant checkout;
}
