package lupenko.airport.domain;

import lombok.*;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import java.time.Instant;
import java.util.ArrayList;
import java.util.List;

@Entity
@Data
@NoArgsConstructor
@RequiredArgsConstructor
@AllArgsConstructor
public class Flight {
    @Id
    @GeneratedValue
    private Long id;
    @NonNull
    @NotNull
    @ManyToOne(cascade = CascadeType.PERSIST)
    private Airport sourceAirport;
    @NonNull
    @NotNull
    @ManyToOne(cascade = CascadeType.PERSIST)
    private Airport destinationAirport;
    @NonNull
    @NotNull
    @ManyToOne(cascade = CascadeType.PERSIST)
    private Aircraft aircraft;
    @NonNull
    @NotNull
    private String airlaneIcaoCode;
    @NonNull
    @NotNull
    private Instant departureTime;
    @NonNull
    @NotNull
    private Instant arrivalTime;
    @NonNull
    @NotNull
    private Instant checkoutStart;
    @NonNull
    @NotNull
    private Instant checkoutEnd;

    @OneToMany(fetch = FetchType.LAZY, mappedBy = "flight", cascade = CascadeType.ALL, orphanRemoval = true)
    private List<Booking> bookings = new ArrayList<>();

}