package lupenko.airport.domain;

import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import java.time.LocalDate;

@Entity
@Data
@NoArgsConstructor
@RequiredArgsConstructor
@AllArgsConstructor
public class Passenger {
    @Id
    @GeneratedValue
    private Long id;
    @NonNull
    @NotNull
    private String firstName;
    @NonNull
    @NotNull
    private String lastName;
    @NonNull
    @NotNull
    private String address;
    @NonNull
    @NotNull
    private LocalDate birthDate;
    @NonNull
    @NotNull
    @Column(unique = true)
    private String passport;
}
