package lupenko.airport.web.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.*;

import java.time.Instant;

@Data
@NoArgsConstructor
@RequiredArgsConstructor
@AllArgsConstructor
@ToString
public class FlightDto {
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;
    @NonNull
    private Long sourceAirportId;
    @NonNull
    private Long destinationAirportId;
    @NonNull
    private Long aircraftId;
    @NonNull
    private String airlaneIcaoCode;
    @NonNull
    private Instant departureTime;
    @NonNull
    private Instant arrivalTime;
    @NonNull
    private Instant checkoutStart;
    @NonNull
    private Instant checkoutEnd;

}