package lupenko.airport.service.map;

import lupenko.airport.domain.Aircraft;
import lupenko.airport.web.dto.AircraftDto;
import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNull;

public class AircraftMapperTest {

    private static AircraftMapperImpl aircraftMapper = new AircraftMapperImpl();

    @Test
    public void dtoToEntity() {
        AircraftDto dto = new AircraftDto(22L, 100L, "CODE");

        Aircraft entity = aircraftMapper.dtoToEntity(dto);

        assertNull(entity.getId());
        assertEquals(dto.getCapacity(), entity.getCapacity());
        assertEquals(dto.getCode(), entity.getCode());
    }

    @Test
    public void toDto() {
        Aircraft entity = new Aircraft(22L, 100L, "CODE");

        AircraftDto dto = aircraftMapper.toDto(entity);

        assertEquals(entity.getId(), dto.getId());
        assertEquals(entity.getCapacity(), dto.getCapacity());
        assertEquals(entity.getCode(), dto.getCode());
    }

    @Test
    public void copyParametersFromDto() {
        Aircraft entity = new Aircraft(25L, 100L, "CODE");
        AircraftDto dto = new AircraftDto(22L, 105L, "CODEDTO");

        aircraftMapper.copyParametersFromDto(dto, entity);

        assertEquals(entity.getId(), 25L);
        assertEquals(entity.getCapacity(), 105L);
        assertEquals(entity.getCode(), "CODEDTO");
    }
}